import request from '@/utils/request'

export function getDegassLocationPage(data) {
  return request({
    url: '/base-dis-location/page',
    method: 'get',
    params: data
  })
}

export function getDegassLocationList(data) {
  return request({
    url: '/base-dis-location/list',
    method: 'post',
    data: data
  })
}

export function addDegassLocation(data) {
  return request({
    url: '/base-dis-location/add',
    method: 'post',
    data: data
  })
}

export function editDegassLocation(data) {
  return request({
    url: '/base-dis-location/edit',
    method: 'post',
    data: data
  })
}

export function delDegassLocation(data) {
  return request({
    url: '/base-dis-location/delete',
    method: 'post',
    data: data
  })
}

export function getDegassLocationDetail(data) {
  return request({
    url: '/base-dis-location/listById',
    method: 'post',
    data: data
  })
}
